src/Entity/Prestations.php
<?php

namespace App\Entity;

use App\Repository\PrestationsRepository;
use Doctrine\ORM\Mapping as ORM;

#[ORM\Entity(repositoryClass: PrestationsRepository::class)]
class Prestations
{
    #[ORM\Id]
    #[ORM\GeneratedValue]
    #[ORM\Column(type: 'integer')]
    private $id;

    #[ORM\Column(type: 'string', length: 255, nullable: true)]
    private $rubrique;

    #[ORM\Column(type: 'text', nullable: true)]
    private $prestation;

    #[ORM\Column(type: 'float', nullable: true)]
    private $prix;

    #[ORM\Column(type: 'boolean', nullable: true)]
    private $visibilite_pres;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getRubrique(): ?string
    {
        return $this->rubrique;
    }

    public function setRubrique(?string $rubrique): self
    {
        $this->rubrique = $rubrique;

        return $this;
    }

    public function getPrestation(): ?string
    {
        return $this->prestation;
    }

    public function setPrestation(?string $prestation): self
    {
        $this->prestation = $prestation;

        return $this;
    }

    public function getPrix(): ?float
    {
        return $this->prix;
    }

    public function setPrix(?float $prix): self
    {
        $this->prix = $prix;

        return $this;
    }

    public function getVisibilitePres(): ?bool
    {
        return $this->visibilite_pres;
    }

    public function setVisibilitePres(?bool $visibilite_pres): self
    {
        $this->visibilite_pres = $visibilite_pres;

        return $this;
    }
}

src/Form/PrestationsType.php
<?php

namespace App\Form;

use App\Entity\Prestations;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;

class PrestationsType extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options): void
    {
        $builder
            ->add('rubrique')
            ->add('prestation')
            ->add('prix')
            ->add('visibilite_pres')
        ;
    }

    public function configureOptions(OptionsResolver $resolver): void
    {
        $resolver->setDefaults([
            'data_class' => Prestations::class,
        ]);
    }
}

src/Controller/PrestationsController.php
<?php

namespace App\Controller;

use App\Entity\Prestations;
use App\Form\PrestationsType;
use App\Repository\PrestationsRepository;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Annotation\Route;

#[Route('/prestations')]
class PrestationsController extends AbstractController
{
    #[Route('/', name: 'app_prestations_index', methods: ['GET'])]
    public function index(PrestationsRepository $prestationsRepository): Response
    {
        return $this->render('prestations/index.html.twig', [
            'prestations' => $prestationsRepository->findAll(),
        ]);
    }

    #[Route('/new', name: 'app_prestations_new', methods: ['GET', 'POST'])]
    public function new(Request $request, PrestationsRepository $prestationsRepository): Response
    {
        $prestation = new Prestations();
        $form = $this->createForm(PrestationsType::class, $prestation);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $prestationsRepository->add($prestation);
            return $this->redirectToRoute('app_prestations_index', [], Response::HTTP_SEE_OTHER);
        }

        return $this->renderForm('prestations/new.html.twig', [
            'prestation' => $prestation,
            'form' => $form,
        ]);
    }

    #[Route('/{id}', name: 'app_prestations_show', methods: ['GET'])]
    public function show(Prestations $prestation): Response
    {
        return $this->render('prestations/show.html.twig', [
            'prestation' => $prestation,
        ]);
    }

    #[Route('/{id}/edit', name: 'app_prestations_edit', methods: ['GET', 'POST'])]
    public function edit(Request $request, Prestations $prestation, PrestationsRepository $prestationsRepository): Response
    {
        $form = $this->createForm(PrestationsType::class, $prestation);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $prestationsRepository->add($prestation);
            return $this->redirectToRoute('app_prestations_index', [], Response::HTTP_SEE_OTHER);
        }

        return $this->renderForm('prestations/edit.html.twig', [
            'prestation' => $prestation,
            'form' => $form,
        ]);
    }

    #[Route('/{id}', name: 'app_prestations_delete', methods: ['POST'])]
    public function delete(Request $request, Prestations $prestation, PrestationsRepository $prestationsRepository): Response
    {
        if ($this->isCsrfTokenValid('delete'.$prestation->getId(), $request->request->get('_token'))) {
            $prestationsRepository->remove($prestation);
        }

        return $this->redirectToRoute('app_prestations_index', [], Response::HTTP_SEE_OTHER);
    }
}

templates/prestations/_delete_form.html.twig
<form method="post" action="{{ path('app_prestations_delete', {'id': prestation.id}) }}" onsubmit="return confirm('Are you sure you want to delete this item?');">
    <input type="hidden" name="_token" value="{{ csrf_token('delete' ~ prestation.id) }}">
    <button class="btn">Delete</button>
</form>

templates/prestations/_form.html.twig
{{ form_start(form) }}
    {{ form_widget(form) }}
    <button class="btn">{{ button_label|default('Save') }}</button>
{{ form_end(form) }}

templates/prestations/edit.html.twig
{% extends 'base.html.twig' %}

{% block title %}Edit Prestations{% endblock %}

{% block body %}
    <h1>Edit Prestations</h1>

    {{ include('prestations/_form.html.twig', {'button_label': 'Update'}) }}

    <a href="{{ path('app_prestations_index') }}">back to list</a>

    {{ include('prestations/_delete_form.html.twig') }}
{% endblock %}

templates/prestations/index.html.twig
{% extends 'base.html.twig' %}

{% block title %}Prestations index{% endblock %}

{% block stylesheets %}
<link rel="stylesheet" href="/styles/services.css">
{% endblock %}

{% block body %}

    {{ include('header/index.html.twig') }}

    {# <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>Rubrique</th>
                <th>Prestation</th>
                <th>Prix</th>
                <th>Visibilite_pres</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for prestation in prestations %}
            <tr>
                <td>{{ prestation.id }}</td>
                <td>{{ prestation.rubrique }}</td>
                <td>{{ prestation.prestation }}</td>
                <td>{{ prestation.prix }}</td>
                <td>{{ prestation.visibilitePres ? 'Yes' : 'No' }}</td>
                <td>
                    <a href="{{ path('app_prestations_show', {'id': prestation.id}) }}">show</a>
                    <a href="{{ path('app_prestations_edit', {'id': prestation.id}) }}">edit</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="6">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <a href="{{ path('app_prestations_new') }}">Create new</a> #}

    <main class="main_service">
        <div class="container_services">
        <div class="container_left">
         <h2 class="gras">Particuliers</h2>
         <p>Je vous accueille à mon atelier, pour effectuer des prestations d’affutâge</p>
         
        </div>
        <div class="container_center">
        <img class="img_anim_service" src="/images/lames.png" alt="">
        </div>
        <div class="container_right">


            <h2 class="gras">Profesionnels</h2>
            <p> <span class="borderYellow_header">Métiers de bouche:</span></p>
         <p>Traiteurs, bouchers, charcutiers, restaurateurs, poissonniers</p>
         <p><span class="borderYellow_header">Artisans:</span></p>
         <p>coiffeurs, couturiers, selliers, relieurs, cordonniers, tapissiers.</p> 
         <p><span class="borderYellow_header">Métiers de la nature:</span></p>
         <p>éleveurs, agriculteurs, jardiniers,paysagistes</p>
        </div>
        </div>
        <h2 class="h2Service">Tarifs Affûtage 2022</h2>
        <div class="main_prix">
          <div class="container_Prix_Head2">
        <div class="container_prix">
   <div class="messervices"></div>

   <div class="container_row">
            <p class="gras">PRESTATIONS</p>
            <p class="gras">PRIX</p>
        </div>

<p class="titre_prestation">COUTEAUX</p>
   {# <?php

   $resultat = rubriquecouteaux();

   ?> #}

       {# <?php       foreach ($resultat as $i) {

       ?> #}
       <div class="container_row">
         <p>test</p>
         <p>test</p>
         </div>
       {# <?php }  #}
  
       {# $resultat = rubriqueciseaux();

?> #}
<p class="titre_prestation">CISEAUX</p>
    {# <?php
    foreach ($resultat as $i) { #}
    
    <div class="container_row">
      <p>test</p>
       <p>test</p>
      </div>
    {# <?php }  #}

    {# $resultat = rubriquetravaildubois();

?> #}
<p class="titre_prestation">BOIS</p>
    {# <?php
    foreach ($resultat as $i) {
    ?> #}
    <div class="container_row">
      <p>test</p>
      <p>test</p>
      </div>
    {# <?php }  #}
{# 
    $resultat = rubriquejardin();

?> #}
<p class="titre_prestation">JARDIN</p>
    {# <?php
    foreach ($resultat as $i) {
    ?> #}
    <div class="container_row">
      <p>test</p>
      <p>test</p>
      </div>
    {# <?php } ?> #}

       </div>
       </div>
        </div>
    </main>


    {{ include('footer/index.html.twig') }}

{% endblock %}

templates/prestations/new.html.twig
{% extends 'base.html.twig' %}

{% block title %}New Prestations{% endblock %}

{% block body %}
    <h1>Create new Prestations</h1>

    {{ include('prestations/_form.html.twig') }}

    <a href="{{ path('app_prestations_index') }}">back to list</a>
{% endblock %}

templates/prestations/show.html.twig
{% extends 'base.html.twig' %}

{% block title %}Prestations{% endblock %}

{% block body %}

    <h1>Prestations</h1>

    <table class="table">
        <tbody>
            <tr>
                <th>Id</th>
                <td>{{ prestation.id }}</td>
            </tr>
            <tr>
                <th>Rubrique</th>
                <td>{{ prestation.rubrique }}</td>
            </tr>
            <tr>
                <th>Prestation</th>
                <td>{{ prestation.prestation }}</td>
            </tr>
            <tr>
                <th>Prix</th>
                <td>{{ prestation.prix }}</td>
            </tr>
            <tr>
                <th>Visibilite_pres</th>
                <td>{{ prestation.visibilitePres ? 'Yes' : 'No' }}</td>
            </tr>
        </tbody>
    </table>

    <a href="{{ path('app_prestations_index') }}">back to list</a>

    <a href="{{ path('app_prestations_edit', {'id': prestation.id}) }}">edit</a>

    {{ include('prestations/_delete_form.html.twig') }}
{% endblock %}